### Method

# Secret Collection search_for_dbus_paths_finish

#### Declaration [src]

    gchar**
    secret_collection_search_for_dbus_paths_finish (
      SecretCollection* collection,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to search for items in a collection.

DBus object paths of the items will be returned. If you would to have `SecretItem` objects to be returned instead, then use the `secret_collection_search()` and `secret_collection_search_finish()` functions.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

An array of DBus object paths for matching items.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.